# Uses of Interface
org.opensaml.xmlsec.signature.DEREncodedKeyValue

Packages that use DEREncodedKeyValue
Package
Description
org.opensaml.saml.saml2.assertion.impl
Implementation classes for validating SAML 2 Assertions.
org.opensaml.xmlsec.keyinfo
Classes in support of processing XML Signature KeyInfo material.
org.opensaml.xmlsec.keyinfo.impl.provider
Specific implementations of `KeyInfoProvider`.
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of DEREncodedKeyValue in org.opensaml.saml.saml2.assertion.impl

Method parameters in org.opensaml.saml.saml2.assertion.impl with type arguments of type DEREncodedKeyValue
Modifier and Type
Method
Description
`protected boolean`
HolderOfKeySubjectConfirmationValidator.`matchesDEREncodedKeyValue(PublicKey key, List<DEREncodedKeyValue> derEncodedKeyValues)`
Checks whether the supplied public key matches one of the supplied `DEREncodedKeyValue` elements.

## Uses of DEREncodedKeyValue in org.opensaml.xmlsec.keyinfo

Methods in org.opensaml.xmlsec.keyinfo with parameters of type DEREncodedKeyValue
Modifier and Type
Method
Description
`static PublicKey`
KeyInfoSupport.`getKey(DEREncodedKeyValue keyValue)`
Extracts the public key within the `DEREncodedKeyValue`.

## Uses of DEREncodedKeyValue in org.opensaml.xmlsec.keyinfo.impl.provider

Methods in org.opensaml.xmlsec.keyinfo.impl.provider that return DEREncodedKeyValue
Modifier and Type
Method
Description
`protected DEREncodedKeyValue`
DEREncodedKeyValueProvider.`getDEREncodedKeyValue(XMLObject xmlObject)`
Get the DEREncodedKeyValue from the passed XML object.

## Uses of DEREncodedKeyValue in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return types with arguments of type DEREncodedKeyValue
Modifier and Type
Method
Description
`List<DEREncodedKeyValue>`
KeyInfo.`getDEREncodedKeyValues()`
Get the list of DEREncodedKeyValue child elements.

## Uses of DEREncodedKeyValue in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement DEREncodedKeyValue
Modifier and Type
Class
Description
`class`
`DEREncodedKeyValueImpl`
Concrete implementation of `DEREncodedKeyValue`.
Methods in org.opensaml.xmlsec.signature.impl that return DEREncodedKeyValue
Modifier and Type
Method
Description
`DEREncodedKeyValue`
DEREncodedKeyValueBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`DEREncodedKeyValue`
DEREncodedKeyValueBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xmlsec.signature.impl that return types with arguments of type DEREncodedKeyValue
Modifier and Type
Method
Description
`List<DEREncodedKeyValue>`
KeyInfoImpl.`getDEREncodedKeyValues()`
Get the list of DEREncodedKeyValue child elements.